<?php

namespace _121Digital\Connect\Admin\Styles\Modals;

class Modals
{
    public function register(): void
    {
        add_action('admin_enqueue_scripts', [$this, 'enqueueModalStyles'], 1000);
        add_action('admin_enqueue_scripts', [$this, 'enqueueCustomModalScript'], 1000);
    }

    public function enqueueModalStyles(): void
    {
        wp_enqueue_style('admin-modal-styles', plugins_url('Modals.css', __FILE__));
    }

    public function enqueueCustomModalScript(): void
    {
        wp_enqueue_script('admin-modal-scripts', plugins_url('Modals.js', __FILE__), ['jquery'], null, true);
    }
}
